# Exploring Your Data（探索数据）

原文链接 : [https://www.elastic.co/guide/en/elasticsearch/reference/5.4/_exploring_your_data.html](https://www.elastic.co/guide/en/elasticsearch/reference/5.4/_exploring_your_data.html)

译文链接 : [http://www.apache.wiki/pages/viewpage.action?pageId=4260739](http://www.apache.wiki/pages/viewpage.action?pageId=4260739)

贡献者 : [那伊抹微笑](/display/~wangyangting)，[ApacheCN](/display/~apachecn)，[Apache中文网](/display/~apachechina)

### Sample Dataset（样本数据集）

现在我们已经学会了基础知识，让我们尝试在更真实的数据集上操作。我准备了一份顾客银行账户信息的虚构的 **JSON** 文档样本。每个文档都有下列的 **schema**（模式）: 

```
{
    "account_number": 0,
    "balance": 16623,
    "firstname": "Bradshaw",
    "lastname": "Mckenzie",
    "age": 29,
    "gender": "F",
    "address": "244 Columbus Place",
    "employer": "Euron",
    "email": "bradshawmckenzie@euron.com",
    "city": "Hobucken",
    "state": "CO"
}
```

如果您对这份数据有兴趣，我从 `[www.json-generator.com/](http://www.json-generator.com/) `生成的这份数据，因为这些都是随机生成的，所以请忽略实际的值和数据的语义。

### Loading the Sample Dataset（加载样本数据集）

您可以从[这里](https://github.com/elastic/elasticsearch/blob/master/docs/src/test/resources/accounts.json?raw=true)下载这份样本数据集（**accouts.json**）。抽取它到我们当前的目录，然后加载它到我们集群中，如下所示 : 

```
curl -XPOST 'localhost:9200/bank/account/_bulk?pretty&refresh' --data-binary "@accounts.json"
curl 'localhost:9200/_cat/indices?v'
```

响应如下 : 

```
health status index uuid                   pri rep docs.count docs.deleted store.size pri.store.size
yellow open   bank  l7sSYV2cQXmu6_4rJWVIww   5   1       1000            0    128.6kb        128.6kb
```

这样的响应表示我们刚才成功的批量索引了 **1000** 份文档到 **bank** 索引（**account** 类型下）。