# 术语查询

原文链接 : [https://www.elastic.co/guide/en/elasticsearch/reference/current/term-level-queries.html](https://www.elastic.co/guide/en/elasticsearch/reference/current/term-level-queries.html)

译文链接 : [http://www.apache.wiki/pages/viewpage.action?pageId=4260504](http://www.le.wiki/pages/viewpage.action?pageId=4260504)

贡献者 : @小布丁

虽然全文查询将在执行之前分析查询字符串，但是项级别查询对存储在反向索引中的确切项进行操作。

这些查询通常用于结构化数据，如**数字**、**日期**和**枚举**，而不是全文字段。或者，在分析过程之前，它允许你绘制低级查询。

这样的查询有以下这些：

*   _ Term_ Query（项查询）

查询包含在指定字段中指定的确切值的文档。

*   _Terms_ Query（多项查询）

查询包含任意一个在指定字段中指定的多个确切值的文档。

*   R_ange_ Query（范围查询）

查询指定字段包含指定范围内的值（**日期**，**数字**或**字符串**）的文档。

*   _ Exists_ Query（非空值查询）

查询指定的字段包含任何非空值的文档。

*   Prefix Query（前缀查询）

查找指定字段包含以指定的精确前缀开头的值的文档。

*   _Wildcard_ Query（通配符查询）

查询指定字段包含与指定模式匹配的值的文档，其中该模式支持**单字符通配符（？）**和**多字符通配符（*）**

*   _Regexp_ Query（正则表达式查询）

查询指定的字段包含与指定的正则表达式匹配的值的文档。

*   _Fuzzy_ Query（模糊查询）

查询指定字段包含与指定术语模糊相似的术语的文档。模糊性测量为1或2的 **Levenshtein**。

*   _Type_ Query（类型查询）

查询指定类型的文档。

*   _Ids Query_（**ID查询**）

查询具有指定类型和 **ID **的文档。