# ASCII Folding Token Filter（ASCII Folding 词元过滤器）

原文链接 : [https://www.elastic.co/guide/en/elasticsearch/reference/current/analysis-asciifolding-tokenfilter.html](https://www.elastic.co/guide/en/elasticsearch/reference/current/analysis-standard-tokenfilter.htmlhttps://www.elastic.co/guide/en/elasticsearch/reference/current/analysis-asciifolding-tokenfilter.html)

译文链接 : [http://www.apache.wiki/pages/viewpage.action?pageId=10027030](http://www.apache.wiki/pages/viewpage.action?pageId=10027030)

贡献者 : [fucker](/display/~caizhongjie)，[ApacheCN](/display/~apachecn)，[Apache中文网](/display/~apachechina)

**asciifolding** 类型的词元过滤器，将不在前127个ASCII字符（“基本拉丁文”Unicode块）中的字母，数字和符号Unicode字符转换为ASCII等效项（如果存在）。

例如：

```
"index" : {
    "analysis" : {
        "analyzer" : {
            "default" : {
                "tokenizer" : "standard",
                "filter" : ["standard", "asciifolding"]
            }
        }
    }
}
```

接受默认为 **false** 的 **preserve_original** 设置，但如果为 **true** ，则将保留原始 **token** 并发出 **folded token**。

例如：

```
"index" : {
    "analysis" : {
        "analyzer" : {
            "default" : {
                "tokenizer" : "standard",
                "filter" : ["standard", "my_ascii_folding"]
            }
        },
        "filter" : {
            "my_ascii_folding" : {
                "type" : "asciifolding",
                "preserve_original" : true
            }
        }
    }
}
```